Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List companies (empresas)

The seller’s companies (b2b customers), sorted by name. Needs customers.read or any orders scope, including orders.read_own (a dealer needs the ID of their empresa to set it on their orders).

GET/shops/{shop_id}/companies
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
shop_idintegerrequired
Query parameters
qstring

Search in the name, the email domain and the tax id (digits, with or without dots and dash).

namestring

Exact company name.

id_numberstring

Tax id (RUT), with or without dots and dash.

sortstring

name, id or created_at, with .asc or .desc (default name.asc).

pageinteger
per_pageinteger
max 250
Responses
200

Paginated list under _embedded.items

403

Access denied

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/shops/1/companies' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_class": [
    "results",
    "companies"
  ],
  "total_items": 2,
  "_embedded": {
    "items": [
      {
        "id": 7,
        "name": "BYD Chile",
        "id_number": "76.086.428-5",
        "activity_code": null,
        "email_domain": "byd.cl"
      }
    ]
  }
}

Was this page helpful?